Skip to main content
GET
/
api
/
v2
/
solver_competition
/
{auction_id}
Get information about a solver competition.
curl --request GET \
  --url https://api.cow.fi/mainnet/api/v2/solver_competition/{auction_id}
{
  "auctionId": 123,
  "auctionStartBlock": 123,
  "auctionDeadlineBlock": 123,
  "transactionHashes": [
    "0xd51f28edffcaaa76be4a22f6375ad289272c037f3cc072345676e88d92ced8b5"
  ],
  "referenceScores": {},
  "auction": {
    "orders": [
      "0xff2e2e54d178997f173266817c1e9ed6fee1a1aae4b43971c53b543cffcc2969845c6f5599fbb25dbdd1b9b013daf85c03f3c63763e4bc4a"
    ],
    "prices": {}
  },
  "solutions": [
    {
      "ranking": 123,
      "solverAddress": "<string>",
      "score": "1234567890",
      "referenceScore": "1234567890",
      "txHash": "0xd51f28edffcaaa76be4a22f6375ad289272c037f3cc072345676e88d92ced8b5",
      "clearingPrices": {},
      "orders": [
        {
          "id": "0xff2e2e54d178997f173266817c1e9ed6fee1a1aae4b43971c53b543cffcc2969845c6f5599fbb25dbdd1b9b013daf85c03f3c63763e4bc4a",
          "sellAmount": "1234567890",
          "buyAmount": "1234567890"
        }
      ],
      "isWinner": true,
      "filteredOut": true
    }
  ]
}

Path Parameters

auction_id
integer
required

Response

Competition

The settlements submitted by every solver for a specific auction. The auctionId corresponds to the id external solvers are provided with.

auctionId
integer

The ID of the auction the competition info is for.

auctionStartBlock
integer

Block that the auction started on.

auctionDeadlineBlock
integer

Block deadline by which the auction must be settled.

transactionHashes
string[]

The hashes of the transactions for the winning solutions of this competition.

32 byte digest encoded as a hex with 0x prefix.

referenceScores
object

The reference scores for each winning solver according to CIP-67 (if available).

auction
object

The components that describe a batch auction for the solver competition.

solutions
object[]

Maps from solver name to object describing that solver's settlement.

Last modified on March 17, 2026